xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Changes between Initial Version and Version 4 of Ticket #2028


Ignore:
Timestamp:
11/13/18 15:48:52 (3 years ago)
Author:
Antoine Martin
Comment:

@cjschultz: any ideas?

$ sudo docker image build -t rhel-rpm-build:latest .
Sending build context to Docker daemon 87.55 kB
Step 1/6 : FROM rhel7.6:latest
Trying to pull repository docker.io/library/rhel7.6 ... 
Trying to pull repository registry.fedoraproject.org/rhel7.6 ... 
Trying to pull repository quay.io/rhel7.6 ... 
Trying to pull repository registry.access.redhat.com/rhel7.6 ... 
sha256:7ae7375bdbb23180d21dfed3408ba82f0d00dd049557cd62716a628367d31d61: Pulling from registry.access.redhat.com/rhel7.6
50a402dbfd72: Pull complete 
c6796217be8f: Pull complete 
Digest: sha256:7ae7375bdbb23180d21dfed3408ba82f0d00dd049557cd62716a628367d31d61
Status: Downloaded newer image for registry.access.redhat.com/rhel7.6:latest
 ---> 3da40a1670b5
Step 2/6 : RUN set -x &&     yum -y upgrade &&     yum -y install sudo epel-release krb5-devel python-devel rpm-build "@Development Tools" &&     yum clean all &&     curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py &&     python get-pip.py
 ---> Running in 0ab88cc69ba5
+ yum -y upgrade
Loaded plugins: ovl, product-id, search-disabled-repos, subscription-manager
This system is not receiving updates. You can use subscription-manager on the host to register and assign subscriptions.
There are no enabled repos.
 Run "yum repolist all" to see the repos you have.
 To enable Red Hat Subscription Management repositories:
     subscription-manager repos --enable <repo>
 To enable custom repositories:
     yum-config-manager --enable <repo>
The command '/bin/sh -c set -x &&     yum -y upgrade &&     yum -y install sudo epel-release krb5-devel python-devel rpm-build "@Development Tools" &&     yum clean all &&     curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py &&     python get-pip.py' returned a non-zero code: 1

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #2028

    • Property Owner changed from Antoine Martin to Chris Schultz
  • Ticket #2028 – Description

    initial v4  
    11RHEL 7.6 has upgraded xorg, which has change the abi version. Xpra can no longer be upgraded and therefore breaks RHEL updates.
    2 
     2{{{
    33Error: Package: xorg-x11-drv-dummy-0.3.8-1.xpra1.el7_5.x86_64 (@winswitch)
    44           Requires: xserver-abi(videodrv-23) >= 0
     
    3232              ~xserver-abi(videodrv-24) = 0
    3333 You could try using --skip-broken to work around the problem
     34}}}